import { axios } from '@/utils/request'

// 网点列表
export const stationList = (params) => {
  const url = `/station/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
// 查网点列表  不分页
export const stationListQuery = (params) => {
  return axios.request({
    url: `/station/queryList`,
    method: 'post',
    data: params
  })
}
// 网点详情
export const stationFind = (params) => {
  return axios.request({
    url: `/station/findById/${params.id}`,
    method: 'get'
  })
}
// 网点保存
export const stationSave = (params) => {
  return axios.request({
    url: '/station/save',
    data: params,
    method: 'post'
  })
}
// 网点删除
export const stationDel = (params) => {
  return axios.request({
    url: `/station/delete/${params.id}`,
    method: 'get'
  })
}
